ResponseOutputStream (Mule ESB 2.2.1 API)
Keywords: org.mule.ResponseOutputStream class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule
Class ResponseOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.BufferedOutputStream
                  org.mule.ResponseOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class ResponseOutputStream

extends BufferedOutputStream

`ResponseOutputStream` is an output stream associated with the currently received event. Note that if the stream is from a socket the socket is also available on this stream so that the socket state can be validated before writing.

Field Summary

Fields inherited from class java.io.BufferedOutputStream
`buf, count`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`ResponseOutputStream(OutputStream stream)`
`ResponseOutputStream(Socket socket, OutputStream stream)`

Method Summary
`Socket` | `getSocket()`

Methods inherited from class java.io.BufferedOutputStream
`flush, write, write`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseOutputStream

    public ResponseOutputStream(OutputStream stream)

### ResponseOutputStream

    public ResponseOutputStream(Socket socket,
                                OutputStream stream)
                         throws IOException

Throws:
  `IOException`

Method Detail

### getSocket

    public Socket getSocket()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.